package com.qy.worksheetsystem;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.boot.web.servlet.ServletComponentScan;
import org.springframework.boot.web.servlet.support.SpringBootServletInitializer;
import javax.servlet.ServletContext;

@ServletComponentScan
@SpringBootApplication
@MapperScan(basePackages = "com.qy.worksheetsystem.model.mapper")
public class WorkSheetSystemApplication extends SpringBootServletInitializer  {

    public static void main(String[] args) {
        SpringApplication.run(WorkSheetSystemApplication.class, args);
    }


    @Override
    protected SpringApplicationBuilder configure(SpringApplicationBuilder application) {
        return application.sources(WorkSheetSystemApplication.class);
    }



}
