package com.kingdee.eas.hr.perf;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.eas.hr.base.HRBillBase;
import java.lang.String;
import com.kingdee.bos.framework.*;
import com.kingdee.bos.Context;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.eas.hr.base.IHRBillBase;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.hr.perf.app.*;
import com.kingdee.bos.util.*;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;

public class PerformanProjectPerson extends HRBillBase implements IPerformanProjectPerson
{
    public PerformanProjectPerson()
    {
        super();
        registerInterface(IPerformanProjectPerson.class, this);
    }
    public PerformanProjectPerson(Context ctx)
    {
        super(ctx);
        registerInterface(IPerformanProjectPerson.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("178208F3");
    }
    private PerformanProjectPersonController getController() throws BOSException
    {
        return (PerformanProjectPersonController)getBizController();
    }
    /**
     *ȡ-System defined method
     *@return
     */
    public PerformanProjectPersonCollection getPerformanProjectPersonCollection() throws BOSException
    {
        try {
            return getController().getPerformanProjectPersonCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param view ȡ
     *@return
     */
    public PerformanProjectPersonCollection getPerformanProjectPersonCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getPerformanProjectPersonCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param oql ȡ
     *@return
     */
    public PerformanProjectPersonCollection getPerformanProjectPersonCollection(String oql) throws BOSException
    {
        try {
            return getController().getPerformanProjectPersonCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@return
     */
    public PerformanProjectPersonInfo getPerformanProjectPersonInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getPerformanProjectPersonInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@param selector ȡֵ
     *@return
     */
    public PerformanProjectPersonInfo getPerformanProjectPersonInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getPerformanProjectPersonInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param oql ȡֵ
     *@return
     */
    public PerformanProjectPersonInfo getPerformanProjectPersonInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getPerformanProjectPersonInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}