package com.kingdee.eas.hr.perf;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.eas.framework.CoreBillBase;
import java.lang.String;
import com.kingdee.bos.framework.*;
import com.kingdee.eas.framework.ICoreBillBase;
import com.kingdee.bos.Context;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.hr.perf.app.*;
import com.kingdee.bos.util.*;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;

public class PerformanceMiddle extends CoreBillBase implements IPerformanceMiddle
{
    public PerformanceMiddle()
    {
        super();
        registerInterface(IPerformanceMiddle.class, this);
    }
    public PerformanceMiddle(Context ctx)
    {
        super(ctx);
        registerInterface(IPerformanceMiddle.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("1B110C32");
    }
    private PerformanceMiddleController getController() throws BOSException
    {
        return (PerformanceMiddleController)getBizController();
    }
    /**
     *ȡ-System defined method
     *@return
     */
    public PerformanceMiddleCollection getPerformanceMiddleCollection() throws BOSException
    {
        try {
            return getController().getPerformanceMiddleCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param view ȡ
     *@return
     */
    public PerformanceMiddleCollection getPerformanceMiddleCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getPerformanceMiddleCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param oql ȡ
     *@return
     */
    public PerformanceMiddleCollection getPerformanceMiddleCollection(String oql) throws BOSException
    {
        try {
            return getController().getPerformanceMiddleCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@return
     */
    public PerformanceMiddleInfo getPerformanceMiddleInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getPerformanceMiddleInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@param selector ȡֵ
     *@return
     */
    public PerformanceMiddleInfo getPerformanceMiddleInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getPerformanceMiddleInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param oql ȡֵ
     *@return
     */
    public PerformanceMiddleInfo getPerformanceMiddleInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getPerformanceMiddleInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}