/**
 * output package name
 */
package com.kingdee.eas.hr.perf.app;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class OrgPerformEnum extends StringEnum
{
    public static final String S_VALUE = "S";//alias=S
    public static final String A_VALUE = "A";//alias=A
    public static final String B_VALUE = "B";//alias=B
    public static final String C_VALUE = "C";//alias=C
    public static final String D_VALUE = "D";//alias=D

    public static final OrgPerformEnum S = new OrgPerformEnum("S", S_VALUE);
    public static final OrgPerformEnum A = new OrgPerformEnum("A", A_VALUE);
    public static final OrgPerformEnum B = new OrgPerformEnum("B", B_VALUE);
    public static final OrgPerformEnum C = new OrgPerformEnum("C", C_VALUE);
    public static final OrgPerformEnum D = new OrgPerformEnum("D", D_VALUE);

    /**
     * construct function
     * @param String orgPerformEnum
     */
    private OrgPerformEnum(String name, String orgPerformEnum)
    {
        super(name, orgPerformEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static OrgPerformEnum getEnum(String orgPerformEnum)
    {
        return (OrgPerformEnum)getEnum(OrgPerformEnum.class, orgPerformEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(OrgPerformEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(OrgPerformEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(OrgPerformEnum.class);
    }
}