package com.kingdee.eas.hr.perf.handler;

import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.hr.perf.PersonPerformProEntryCollection;
import com.kingdee.eas.hr.perf.PersonPerformProEntryInfo;
import com.kingdee.eas.hr.perf.PersonPerformProInfo;
import com.kingdee.shr.base.syssetting.exception.SHRWebException;
import com.kingdee.shr.base.syssetting.exception.ShrWebBizException;
import com.kingdee.shr.base.syssetting.web.handler.EditHandler;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @author qingwu
 * @date 2024/12/11
 * @apiNote
 */
public class PersonPerformProEditHandler extends EditHandler {
    @Override
    protected void verifyModel(HttpServletRequest request, HttpServletResponse response, CoreBaseInfo model) throws SHRWebException {
        super.verifyModel(request, response, model);
        PersonPerformProInfo personPerformProInfo = (PersonPerformProInfo) model;
        PersonPerformProEntryCollection entrys = personPerformProInfo.getEntrys();
        for (int i = 0; i < entrys.size(); i++) {
            PersonPerformProEntryInfo personPerformProEntryInfo = entrys.get(i);
            int a = personPerformProEntryInfo.getLevelA();
            int b = personPerformProEntryInfo.getLevelB();
            int c = personPerformProEntryInfo.getLevelC();
            int d = personPerformProEntryInfo.getLevelD();
            int s = personPerformProEntryInfo.getLevelS();
            int sum = a + b + c + d + s;
            if (sum != 100) {
                throw new ShrWebBizException("" + (i + 1) + "ܺͲ100%ݺٱ棡");
            }
        }
    }


}
