package com.kingdee.eas.hr.perf;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.framework.ICoreBillBase;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.hr.perf.app.*;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.framework.CoreBillBase;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.shr.base.syssetting.BaseItemException;
import com.kingdee.bos.framework.*;

public class PerformProTeam extends CoreBillBase implements IPerformProTeam
{
    public PerformProTeam()
    {
        super();
        registerInterface(IPerformProTeam.class, this);
    }
    public PerformProTeam(Context ctx)
    {
        super(ctx);
        registerInterface(IPerformProTeam.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("583FECDC");
    }
    private PerformProTeamController getController() throws BOSException
    {
        return (PerformProTeamController)getBizController();
    }
    /**
     *ȡ-System defined method
     *@return
     */
    public PerformProTeamCollection getPerformProTeamCollection() throws BOSException
    {
        try {
            return getController().getPerformProTeamCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param view ȡ
     *@return
     */
    public PerformProTeamCollection getPerformProTeamCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getPerformProTeamCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param oql ȡ
     *@return
     */
    public PerformProTeamCollection getPerformProTeamCollection(String oql) throws BOSException
    {
        try {
            return getController().getPerformProTeamCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@return
     */
    public PerformProTeamInfo getPerformProTeamInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getPerformProTeamInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@param selector ȡֵ
     *@return
     */
    public PerformProTeamInfo getPerformProTeamInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getPerformProTeamInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param oql ȡֵ
     *@return
     */
    public PerformProTeamInfo getPerformProTeamInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getPerformProTeamInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *-User defined method
     *@param billId ID
     */
    public void enable(String billId) throws BOSException, BaseItemException
    {
        try {
            getController().enable(getContext(), billId);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *-User defined method
     *@param billId ID
     */
    public void disable(String billId) throws BOSException, BaseItemException
    {
        try {
            getController().disable(getContext(), billId);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}