package com.kingdee.eas.hr.perf;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.ICoreBillEntryBase;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.framework.CoreBillEntryBase;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.hr.perf.app.*;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class PerformProTeamEntry extends CoreBillEntryBase implements IPerformProTeamEntry
{
    public PerformProTeamEntry()
    {
        super();
        registerInterface(IPerformProTeamEntry.class, this);
    }
    public PerformProTeamEntry(Context ctx)
    {
        super(ctx);
        registerInterface(IPerformProTeamEntry.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("2A3DD4F6");
    }
    private PerformProTeamEntryController getController() throws BOSException
    {
        return (PerformProTeamEntryController)getBizController();
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@return
     */
    public PerformProTeamEntryInfo getPerformProTeamEntryInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getPerformProTeamEntryInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@param selector ȡֵ
     *@return
     */
    public PerformProTeamEntryInfo getPerformProTeamEntryInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getPerformProTeamEntryInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param oql ȡֵ
     *@return
     */
    public PerformProTeamEntryInfo getPerformProTeamEntryInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getPerformProTeamEntryInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@return
     */
    public PerformProTeamEntryCollection getPerformProTeamEntryCollection() throws BOSException
    {
        try {
            return getController().getPerformProTeamEntryCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param view ȡ
     *@return
     */
    public PerformProTeamEntryCollection getPerformProTeamEntryCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getPerformProTeamEntryCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param oql ȡ
     *@return
     */
    public PerformProTeamEntryCollection getPerformProTeamEntryCollection(String oql) throws BOSException
    {
        try {
            return getController().getPerformProTeamEntryCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}