package com.kingdee.eas.hr.perf;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.eas.hr.base.HRBillBaseEntry;
import java.lang.String;
import com.kingdee.bos.framework.*;
import com.kingdee.bos.Context;
import com.kingdee.eas.hr.base.IHRBillBaseEntry;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.hr.perf.app.*;
import com.kingdee.bos.util.*;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;

public class PerformanceScoringEntry extends HRBillBaseEntry implements IPerformanceScoringEntry
{
    public PerformanceScoringEntry()
    {
        super();
        registerInterface(IPerformanceScoringEntry.class, this);
    }
    public PerformanceScoringEntry(Context ctx)
    {
        super(ctx);
        registerInterface(IPerformanceScoringEntry.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("8DFB0BC0");
    }
    private PerformanceScoringEntryController getController() throws BOSException
    {
        return (PerformanceScoringEntryController)getBizController();
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@return
     */
    public PerformanceScoringEntryInfo getPerformanceScoringEntryInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getPerformanceScoringEntryInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@param selector ȡֵ
     *@return
     */
    public PerformanceScoringEntryInfo getPerformanceScoringEntryInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getPerformanceScoringEntryInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param oql ȡֵ
     *@return
     */
    public PerformanceScoringEntryInfo getPerformanceScoringEntryInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getPerformanceScoringEntryInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@return
     */
    public PerformanceScoringEntryCollection getPerformanceScoringEntryCollection() throws BOSException
    {
        try {
            return getController().getPerformanceScoringEntryCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param view ȡ
     *@return
     */
    public PerformanceScoringEntryCollection getPerformanceScoringEntryCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getPerformanceScoringEntryCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param oql ȡ
     *@return
     */
    public PerformanceScoringEntryCollection getPerformanceScoringEntryCollection(String oql) throws BOSException
    {
        try {
            return getController().getPerformanceScoringEntryCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}