package com.kingdee.eas.hr.perf;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class PerformanceScoringFactory
{
    private PerformanceScoringFactory()
    {
    }
    public static com.kingdee.eas.hr.perf.IPerformanceScoring getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.hr.perf.IPerformanceScoring)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("7ADA1FD2") ,com.kingdee.eas.hr.perf.IPerformanceScoring.class);
    }
    
    public static com.kingdee.eas.hr.perf.IPerformanceScoring getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.hr.perf.IPerformanceScoring)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("7ADA1FD2") ,com.kingdee.eas.hr.perf.IPerformanceScoring.class, objectCtx);
    }
    public static com.kingdee.eas.hr.perf.IPerformanceScoring getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.hr.perf.IPerformanceScoring)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("7ADA1FD2"));
    }
    public static com.kingdee.eas.hr.perf.IPerformanceScoring getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.hr.perf.IPerformanceScoring)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("7ADA1FD2"));
    }
}