package com.kingdee.eas.hr.perf;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.Context;
import com.kingdee.eas.hr.base.HRBillBaseEntry;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.hr.base.IHRBillBaseEntry;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.hr.perf.app.*;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class PerformanceScoringSumEntry extends HRBillBaseEntry implements IPerformanceScoringSumEntry
{
    public PerformanceScoringSumEntry()
    {
        super();
        registerInterface(IPerformanceScoringSumEntry.class, this);
    }
    public PerformanceScoringSumEntry(Context ctx)
    {
        super(ctx);
        registerInterface(IPerformanceScoringSumEntry.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("83A922D9");
    }
    private PerformanceScoringSumEntryController getController() throws BOSException
    {
        return (PerformanceScoringSumEntryController)getBizController();
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@return
     */
    public PerformanceScoringSumEntryInfo getPerformanceScoringSumEntryInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getPerformanceScoringSumEntryInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@param selector ȡֵ
     *@return
     */
    public PerformanceScoringSumEntryInfo getPerformanceScoringSumEntryInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getPerformanceScoringSumEntryInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param oql ȡֵ
     *@return
     */
    public PerformanceScoringSumEntryInfo getPerformanceScoringSumEntryInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getPerformanceScoringSumEntryInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@return
     */
    public PerformanceScoringSumEntryCollection getPerformanceScoringSumEntryCollection() throws BOSException
    {
        try {
            return getController().getPerformanceScoringSumEntryCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param view ȡ
     *@return
     */
    public PerformanceScoringSumEntryCollection getPerformanceScoringSumEntryCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getPerformanceScoringSumEntryCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param oql ȡ
     *@return
     */
    public PerformanceScoringSumEntryCollection getPerformanceScoringSumEntryCollection(String oql) throws BOSException
    {
        try {
            return getController().getPerformanceScoringSumEntryCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}