package com.kingdee.eas.hr.perf;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.ICoreBillEntryBase;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.framework.CoreBillEntryBase;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.hr.perf.app.*;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class PersonPerformProEntry extends CoreBillEntryBase implements IPersonPerformProEntry
{
    public PersonPerformProEntry()
    {
        super();
        registerInterface(IPersonPerformProEntry.class, this);
    }
    public PersonPerformProEntry(Context ctx)
    {
        super(ctx);
        registerInterface(IPersonPerformProEntry.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("B176F7FE");
    }
    private PersonPerformProEntryController getController() throws BOSException
    {
        return (PersonPerformProEntryController)getBizController();
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@return
     */
    public PersonPerformProEntryInfo getPersonPerformProEntryInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getPersonPerformProEntryInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@param selector ȡֵ
     *@return
     */
    public PersonPerformProEntryInfo getPersonPerformProEntryInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getPersonPerformProEntryInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param oql ȡֵ
     *@return
     */
    public PersonPerformProEntryInfo getPersonPerformProEntryInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getPersonPerformProEntryInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@return
     */
    public PersonPerformProEntryCollection getPersonPerformProEntryCollection() throws BOSException
    {
        try {
            return getController().getPersonPerformProEntryCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param view ȡ
     *@return
     */
    public PersonPerformProEntryCollection getPersonPerformProEntryCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getPersonPerformProEntryCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param oql ȡ
     *@return
     */
    public PersonPerformProEntryCollection getPersonPerformProEntryCollection(String oql) throws BOSException
    {
        try {
            return getController().getPersonPerformProEntryCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}