package com.kingdee.eas.hr.perf.app;

import com.kingdee.bos.dao.ormapping.ObjectUuidPK;
import com.kingdee.eas.hr.perf.PerformProTeamCollection;
import com.kingdee.eas.hr.perf.PerformProTeamInfo;
import com.kingdee.shr.base.syssetting.BaseItemException;
import org.apache.commons.lang.StringUtils;
import org.apache.log4j.Logger;

import javax.ejb.*;
import java.rmi.RemoteException;

import com.kingdee.bos.*;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.metadata.IMetaDataPK;
import com.kingdee.bos.metadata.rule.RuleExecutor;
import com.kingdee.bos.metadata.MetaDataPK;
//import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.bos.framework.ejb.AbstractEntityControllerBean;
import com.kingdee.bos.framework.ejb.AbstractBizControllerBean;
//import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.dao.IObjectValue;
import com.kingdee.bos.dao.IObjectCollection;
import com.kingdee.bos.service.ServiceContext;
import com.kingdee.bos.service.IServiceContext;

import com.kingdee.eas.framework.CoreBillBaseCollection;
import com.kingdee.eas.framework.app.CoreBillBaseControllerBean;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.hr.perf.PersonPerformProCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.SystemEnum;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;

import java.lang.String;

import com.kingdee.eas.hr.perf.PersonPerformProInfo;
import com.kingdee.eas.framework.ObjectBaseCollection;

public class PersonPerformProControllerBean extends AbstractPersonPerformProControllerBean {
    private static Logger logger =
            Logger.getLogger("com.kingdee.eas.hr.perf.app.PersonPerformProControllerBean");

    /**
     * 
     *
     * @param ctx
     * @param billId
     * @throws BOSException
     */
    @Override
    protected void _enable(Context ctx, String billId) throws BOSException, BaseItemException {
        super._enable(ctx, billId);
        if (StringUtils.isEmpty(billId)) {
            throw new BaseItemException(BaseItemException.CUSTOM_EXCEPTION, new Object[]{"billIdΪ!"});
        }
        PersonPerformProInfo info = null;
        try {
            info = getPersonPerformProInfo(ctx, new ObjectUuidPK(billId));
        } catch (EASBizException e) {
            throw new BaseItemException(BaseItemException.CUSTOM_EXCEPTION, new Object[]{"ѯݱ"});
        }
            EnableDisableEnum status = info.getState();
            if (EnableDisableEnum.enable.equals(status)) {
                throw new BaseItemException(BaseItemException.CUSTOM_EXCEPTION, new Object[]{"Ѿãظ"});
            }
            PersonPerformProCollection personPerformProCollection = getPersonPerformProCollection(ctx, "where state ='1'");
            if (personPerformProCollection.size() > 0) {
                throw new BaseItemException(BaseItemException.CUSTOM_EXCEPTION, new Object[]{"Ѵݣͬʱö"});
            }
            info.setState(EnableDisableEnum.enable);
        try {
            save(ctx, info);
        } catch (Exception e) {
            logger.error(e.getMessage());
            throw new BaseItemException(BaseItemException.CUSTOM_EXCEPTION, new Object[]{"±"});
        }
    }

    /**
     * 
     *
     * @param ctx
     * @param billId
     * @throws BOSException
     */
    @Override
    protected void _disable(Context ctx, String billId) throws BOSException, BaseItemException {
        super._disable(ctx, billId);
        if (StringUtils.isEmpty(billId)) {
            throw new BaseItemException(BaseItemException.CUSTOM_EXCEPTION, new Object[]{"billIdΪ!"});
        }
        try {
            PersonPerformProInfo info = getPersonPerformProInfo(ctx, new ObjectUuidPK(billId));
            EnableDisableEnum status = info.getState();
            if (EnableDisableEnum.disable.equals(status)) {
                throw new BaseItemException(BaseItemException.CUSTOM_EXCEPTION, new Object[]{"Ѿãظ"});
            }
            info.setState(EnableDisableEnum.disable);
            save(ctx, info);
        } catch (Exception e) {
            logger.error(e.getMessage());
            throw new BaseItemException(BaseItemException.CUSTOM_EXCEPTION, new Object[]{"±"});
        }
    }
}
