package com.kingdee.eas.hr.perf.handler;

import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.hr.perf.*;
import com.kingdee.shr.base.syssetting.exception.SHRWebException;
import com.kingdee.shr.base.syssetting.exception.ShrWebBizException;
import com.kingdee.shr.base.syssetting.web.handler.EditHandler;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @author qingwu
 * @date 2024/12/11
 * @apiNote
 */
public class PerformProTeamEditHandler extends EditHandler {
    @Override
    protected void verifyModel(HttpServletRequest request, HttpServletResponse response, CoreBaseInfo model) throws SHRWebException {
        super.verifyModel(request, response, model);
        PerformProTeamInfo performProTeamInfo = (PerformProTeamInfo) model;
        PerformProTeamEntryCollection entrys = performProTeamInfo.getEntrys();
        for (int i = 0; i < entrys.size(); i++) {
            PerformProTeamEntryInfo performProTeamEntryInfo = entrys.get(i);
            int a = performProTeamEntryInfo.getLevelA();
            int b = performProTeamEntryInfo.getLevelB();
            int c = performProTeamEntryInfo.getLevelC();
            int d = performProTeamEntryInfo.getLevelD();
            int s = performProTeamEntryInfo.getLevelS();
            int sum = a + b + c + d + s;
            if (sum != 100) {
                throw new ShrWebBizException("" + (i + 1) + "ܺͲ100%ݺٱ棡");
            }
        }
    }
}
