package com.kingdee.eas.hr.project.handler;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.log4j.Logger;
import org.springframework.ui.ModelMap;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.ormapping.ObjectUuidPK;
//import com.kingdee.bos.dao.ormapping.ObjectUuidPK;
//import com.kingdee.bos.metadata.entity.EntityViewInfo;
//import com.kingdee.bos.metadata.entity.FilterInfo;
//import com.kingdee.bos.metadata.entity.FilterItemInfo;
//import com.kingdee.bos.metadata.entity.SelectorItemCollection;
//import com.kingdee.bos.metadata.entity.SelectorItemInfo;
//import com.kingdee.bos.metadata.query.util.CompareType;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.custom.server.WorhHoursService;
import com.kingdee.eas.hr.base.HRBillBaseInfo;
import com.kingdee.eas.hr.base.IHRBillBase;
//import com.kingdee.eas.hr.project.IWorkHoursConfirm;
//import com.kingdee.eas.hr.project.WorkHoursConfirmCollection;
//import com.kingdee.eas.hr.project.WorkHoursConfirmFactory;
//import com.kingdee.eas.hr.project.WorkHoursConfirmInfo;
//import com.kingdee.shr.base.syssetting.api.bean.BatchMessageTipsBody;
//import com.kingdee.shr.base.syssetting.api.bean.BatchMessageTipsHeader;
import com.kingdee.shr.base.syssetting.context.SHRContext;
import com.kingdee.shr.base.syssetting.exception.SHRWebException;
import com.kingdee.shr.base.syssetting.exception.ShrWebBizException;
import com.kingdee.shr.base.syssetting.ml.SHRWebResource;
//import com.kingdee.shr.base.syssetting.exception.ShrWebBizException;
//import com.kingdee.shr.base.syssetting.util.WebConvertUtils;
import com.kingdee.shr.base.syssetting.web.handler.ListHandler;
import com.kingdee.util.StringUtils;

public class WorkHoursConfirmListHandler extends ListHandler
{
  private static Logger logger = Logger.getLogger(WorkHoursConfirmListHandler.class);
  
//  private WorkHoursConfirmCollection getProject(Context ctx, String billIds, IWorkHoursConfirm biz)
//    throws BOSException
//  {
//    EntityViewInfo evi = new EntityViewInfo();
//    FilterInfo filter = new FilterInfo();
//    filter.getFilterItems()
//      .add(new FilterItemInfo("id", WebConvertUtils.getStringSet(billIds.split(",")), CompareType.INCLUDE));
//    evi.setFilter(filter);
//    SelectorItemCollection sic = evi.getSelector();
//    sic.add(new SelectorItemInfo("billState"));
//    WorkHoursConfirmCollection coll = biz.getWorkHoursConfirmCollection(evi);
//    return coll;
//  }
//
//  public void deleteOneAction(HttpServletRequest request, HttpServletResponse response, ModelMap modelMap)
//    throws SHRWebException
//  {
//    Context ctx = SHRContext.getInstance().getContext();
//    String billIds = request.getParameter("billId");
//    BatchMessageTipsHeader batchMessageTipsHeader = new BatchMessageTipsHeader();
//    int success = 0;
//    int failure = 0;
//    String billId = "";
//    WorkHoursConfirmCollection coll = null;
//    IWorkHoursConfirm iWorkHoursConfirm  = null;
//    if (!StringUtils.isEmpty(billIds))
//    {
//      try
//      {
//         iWorkHoursConfirm = WorkHoursConfirmFactory.getLocalInstance(ctx);
//        coll = getProject(ctx, billIds, iWorkHoursConfirm);
//      }
//      catch (BOSException var17)
//      {
//        logger.error(var17.getMessage(), var17);
//        throw new ShrWebBizException("쳣ȡĿ쳣");
//      }
//     
//      int i = 0;
//
//      for (int length = coll.size(); i < length; i++) {
//        WorkHoursConfirmInfo getProject = coll.get(i);
//        billId = getProject.getId().toString();
//        BatchMessageTipsBody body = new BatchMessageTipsBody();
//        body.setId(billId);
//        try
//        {
//          if ((getProject.getBillState() != null) && (getProject.getBillState().getValue() != 0) && 
//            (getProject.getBillState().getValue() != 4)) {
//            failure++;
//            body.setMuitTipsState(Boolean.FALSE.booleanValue());
//            body.setMuitTipsMessage("ֻɾδύͨ͡Ŀ");
//            batchMessageTipsHeader.addResult(body);
//          } else {
//            iWorkHoursConfirm.delete(new ObjectUuidPK(billId));
//            CustomMenuDetailFactory.getLocalInstance(ctx).delete("where businessId ='" + billId + "'");
//            success++;
//            body.setMuitTipsState(Boolean.TRUE.booleanValue());
//            body.setMuitTipsMessage("ɾɹ");
//            batchMessageTipsHeader.addResult(body);
//          }
//        } catch (EASBizException var18) {
//          logger.error(var18.getMessage(), var18);
//          failure++;
//          body.setMuitTipsState(Boolean.FALSE.booleanValue());
//          body.setMuitTipsMessage("ɾʧܣ" + var18.getMessage());
//          batchMessageTipsHeader.addResult(body);
//        } catch (BOSException var19) {
//          logger.error(var19.getMessage(), var19);
//          failure++;
//          body.setMuitTipsState(Boolean.FALSE.booleanValue());
//          body.setMuitTipsMessage("ɾʧܣ" + var19.getMessage());
//          batchMessageTipsHeader.addResult(body);
//        }
//      }
//    }
//
//    batchMessageTipsHeader.setBillId(billIds);
//    batchMessageTipsHeader.setFailureCount(failure);
//    batchMessageTipsHeader.setSuccessCount(success);
//    writeSuccessData(batchMessageTipsHeader);
//  }
//  
  public void initWorkHoursAction(HttpServletRequest request, HttpServletResponse response, ModelMap modelMap)
		    throws SHRWebException
  {
	  Context ctx = SHRContext.getInstance().getContext();
	  WorhHoursService sever = new WorhHoursService();
	  try {
		sever.process(ctx, null);
	} catch (EASBizException e) {
		e.printStackTrace();
	} catch (BOSException e) {
		e.printStackTrace();
	}
	  
  }
  
	public void abortBillAction(HttpServletRequest request, HttpServletResponse response, ModelMap modelMap)
			throws SHRWebException {
		String billId = this.getBillId(request);
		if (!StringUtils.isEmpty(billId)) {
			IHRBillBase iHRBillBase = (IHRBillBase) this.getBizInterface(request);
			try {
				iHRBillBase.getHRBillBaseInfo(new ObjectUuidPK(billId));
				iHRBillBase.abortBizBill(billId);
				com.kingdee.shr.base.syssetting.web.json.JSONUtils.SUCCESS(billId);
			} catch (EASBizException var11) {
				throw new ShrWebBizException("ʧܣϵԱ"+var11.getMessage());
			} catch (BOSException var12) {
				throw new SHRWebException(var12.getMessage(), var12);
			}
		}
	}

	public void untiCheckAction(HttpServletRequest request, HttpServletResponse response, ModelMap modelMap)
			throws SHRWebException {
		String billId = this.getBillId(request);
		if (!StringUtils.isEmpty(billId)) {
			IHRBillBase iHRBillBase = (IHRBillBase) this.getBizInterface(request);

			try {
				iHRBillBase.untiCheckBizBill(billId);
				com.kingdee.shr.base.syssetting.web.json.JSONUtils.SUCCESS(billId);
			} catch (EASBizException var7) {
				logger.error(var7.getMessage(), var7);
				throw new ShrWebBizException(var7.getMessage(), var7);
			} catch (BOSException var8) {
				logger.error(var8.getMessage(), var8);
				throw new SHRWebException(var8);
			}
		}

	}
  
}